### Method

# Gio Credentials get_unix_pid

since: 2.36

#### Declaration [src]

    pid_t
    g_credentials_get_unix_pid (
      GCredentials* credentials
      GError** error
    )

#### Description [src]

Tries to get the UNIX process identifier from `credentials`. This method is only available on UNIX platforms.

This operation can fail if `GCredentials` is not supported on the OS or if the native credentials type does not contain information about the UNIX process ID.

Available since: 2.36

#### Return value

Type: `pid_t`

The UNIX process ID, or `-1` if `error` is set.